#include <stdio.h>
#include <stdlib.h>

#include "config.h"
#include <xc.h>
#include <sys/attribs.h>

#include "swt.c"
#include "led.c"
#include "btn.c"

#pragma config JTAGEN = OFF     
#pragma config FWDTEN = OFF      


/* ------------------------------------------------------------ */
/*						Configuration Bits		                */
/* ------------------------------------------------------------ */


// Device Config Bits in  DEVCFG1:	
#pragma config FNOSC =	FRCPLL
#pragma config FSOSCEN =	OFF
#pragma config POSCMOD =	EC
#pragma config OSCIOFNC =	ON
#pragma config FPBDIV =     DIV_1

// Device Config Bits in  DEVCFG2:	
#pragma config FPLLIDIV =	DIV_2
#pragma config FPLLMUL =	MUL_20
#pragma config FPLLODIV =	DIV_1

 #define _XTAL_FREQ 8000000     // 


int main(void)
{
   
    BTN_Init();
    LED_Init();
    SWT_Init();
    
    while(1)
    {
       //Kirjuta siia oma kood!
  
    }
    return 0;
}
